package com.cftech.sys.model;

/**
 * 权限模型
 * 
 **/
public class Permission extends BasicEntity {

    private String permissionName;

    private String permissionSign;

    private Long parentid;

    private String url; //地址
    
    private int isshow;
    
    private String longnum;//长编码 
    
    private int isfunction;//是否是功能权限项
    
    private String fonts;

    private int sort;
    
    public Permission()
    {
    	this.isshow = 1;
    	this.permissionName = "新增菜单";
    	this.description = "新增菜单";
    	this.fonts = "";
    }
    
    
    
    
    
    public String getFonts() {
		return fonts;
	}





	public void setFonts(String fonts) {
		this.fonts = fonts;
	}





	public String getLongnum() {
		return longnum;
	}





	public void setLongnum(String longnum) {
		this.longnum = longnum;
	}



	public void setIsfunction(int isfunction) {
		this.isfunction = isfunction;
	}





	public int getIsshow() {
		return isshow;
	}

	public void setIsshow(int isshow) {
		this.isshow = isshow;
	}

	public Long getParentid() {
		return parentid;
	}

	public void setParentid(Long parentid) {
		this.parentid = parentid;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}


    public String getPermissionName() {
        return permissionName;
    }

    public void setPermissionName(String permissionName) {
        this.permissionName = permissionName == null ? null : permissionName.trim();
    }

    public String getPermissionSign() {
        return permissionSign;
    }

    public void setPermissionSign(String permissionSign) {
        this.permissionSign = permissionSign == null ? null : permissionSign.trim();
    }





	public int getIsfunction() {
		return isfunction;
	}


	public int getSort() {
		return sort;
	}

	public void setSort(int sort) {
		this.sort = sort;
	}

	@Override
	public String toString() {
		return "Permission [permissionName=" + permissionName
				+ ", permissionSign=" + permissionSign + ", parentid="
				+ parentid + ", url=" + url + ", isshow=" + isshow
				+ ", longnum=" + longnum + ", isfunction=" + isfunction + "]";
	}

    
    


}